Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 569300 (CVE-2015-8619) - <app-emulation/qemu-2.5.0-r2: hmp: stack based OOB write in hmp_sendkey routine (CVE-2015-8619)
Summary: <app-emulation/qemu-2.5.0-r2: hmp: stack based OOB write in hmp_sendkey routi...
Status: RESOLVED FIXED
Alias: CVE-2015-8619
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL: https://bugzilla.redhat.com/show_bug....
Whiteboard: B3 [glsa cve]
Keywords:
Depends on: 578044
Blocks:
  Show dependency tree
 
Reported: 2015-12-23 08:06 UTC by Agostino Sarubbo
Modified: 2016-04-02 18:27 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2015-12-23 08:06:00 UTC
From ${URL} :

Qemu emulator built with the Human Monitor Interface(HMP) support is vulnerable to an OOB write 
issue. It occurs while processing 'sendkey' command in hmp_sendkey routine, if the command argument 
is longer than the 'keyname_buf' buffer size.

A user/process could use this flaw to crash the Qemu process instance resulting in DoS.

Upstream fix:
-------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2015-12/msg02930.html

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2015/12/23/1


@maintainer(s): after the bump, in case we need to stabilize the package, please let us know if it is ready for the stabilization or not.
Comment 2 SpanKY gentoo-dev 2016-03-23 05:25:42 UTC
this is in qemu-2.5.0-r2 and is fine for stable
Comment 3 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2016-03-23 06:12:21 UTC
Added to existing GLSA.
Comment 4 Yury German Gentoo Infrastructure gentoo-dev Security 2016-04-02 17:14:44 UTC
Clean as part of bug #567420
Comment 5 GLSAMaker/CVETool Bot gentoo-dev 2016-04-02 18:27:21 UTC
This issue was resolved and addressed in
 GLSA 201604-01 at https://security.gentoo.org/glsa/201604-01
by GLSA coordinator Yury German (BlueKnight).